# Uses of Class
org.springframework.scripting.ScriptCompilationException

Packages that use ScriptCompilationException
Package
Description
org.springframework.scripting
Core interfaces for Spring's scripting support.
org.springframework.scripting.bsh
Package providing integration of BeanShell (and BeanShell2) into Spring's scripting infrastructure.
org.springframework.scripting.groovy
Package providing integration of Groovy into Spring's scripting infrastructure.
org.springframework.scripting.support
Support classes for Spring's scripting package.

## Uses of ScriptCompilationException in org.springframework.scripting

Methods in org.springframework.scripting that throw ScriptCompilationException
Modifier and Type
Method
Description
`Object`
ScriptEvaluator.`evaluate(ScriptSource script)`
Evaluate the given script.
`Object`
ScriptEvaluator.`evaluate(ScriptSource script, Map<String,Object> arguments)`
Evaluate the given script with the given arguments.
`Object`
ScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Factory method for creating the scripted Java object.
`Class<?>`
ScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`
Determine the type of the scripted Java object.

## Uses of ScriptCompilationException in org.springframework.scripting.bsh

Methods in org.springframework.scripting.bsh that throw ScriptCompilationException
Modifier and Type
Method
Description
`Object`
BshScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Load and parse the BeanShell script via `BshScriptUtils`.
`Class<?>`
BshScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`

## Uses of ScriptCompilationException in org.springframework.scripting.groovy

Methods in org.springframework.scripting.groovy that throw ScriptCompilationException
Modifier and Type
Method
Description
`protected Object`
GroovyScriptFactory.`executeScript(ScriptSource scriptSource, Class<?> scriptClass)`
Instantiate the given Groovy script class and run it if necessary.
`Object`
GroovyScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Loads and parses the Groovy script via the GroovyClassLoader.
`Class<?>`
GroovyScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`

## Uses of ScriptCompilationException in org.springframework.scripting.support

Methods in org.springframework.scripting.support that throw ScriptCompilationException
Modifier and Type
Method
Description
`Object`
StandardScriptFactory.`getScriptedObject(ScriptSource scriptSource, Class<?>... actualInterfaces)`
Load and parse the script via JSR-223's ScriptEngine.
`Class<?>`
StandardScriptFactory.`getScriptedObjectType(ScriptSource scriptSource)`